# pomp's dotfiles

A [Nix flake](https://wiki.nixos.org/wiki/Flakes) for my [NixOS](https://nixos.org) setup.

## History

This is a continuation and a logical conclusion of my OS setup script project.

Timeline: [setup-script-sh](https://git.pompy.dev/pomp/setup-script-sh) ➡ [setup-script-py](https://git.pompy.dev/pomp/setup-script-py) ➡ [pompup](https://git.pompy.dev/pomp/pompup) ➡ this

## Software

|                  Software | Choice                                                                  |                    Future candidates                    |
| ------------------------: | :---------------------------------------------------------------------- | :-----------------------------------------------------: |
|  Desktop Environment - 🚀 | [GNOME](https://www.gnome.org/)                                         |                            -                            |
|                Icons - 💎 | [Papirus](https://github.com/PapirusDevelopmentTeam/papirus-icon-theme) |                            -                            |
|            GTK theme - 🎨 | [Pop!](https://github.com/pop-os/gtk-theme)                             |                            -                            |
|                Shell - 🐚 | [zsh](https://github.com/zsh-users/zsh)                                 |                            -                            |
|             Terminal - 🖥️ | [ghostty](https://github.com/ghostty-org/ghostty)                       |                            -                            |
|              Browser - 🌐 | [Brave](https://github.com/brave/brave-browser)                         |                            -                            |
|    Text Editor & IDE - 📝 | [VSCodium](https://github.com/VSCodium/vscodium)                        |                            -                            |
|      Note-taking App - 📚 | [AnyType](https://anytype.io/)                                          |                            -                            |
| Linux Core Utilities - 🛠️ | [GNU Core Utilities](https://www.gnu.org/software/coreutils/)           | [uutils/coreutils](https://github.com/uutils/coreutils) |

## RSS feed

[./misc/feeds.opml](./misc/feeds.opml)

## Wallpaper

![wallpaper](wallpaper.png)

- from [a video](https://www.youtube.com/watch?v=QEWV6fiYaDU) at [Chillhop Music](https://www.youtube.com/channel/UCOxqgCwgOqC2lMqC5PYz_Dg)
- Artwork by [Jeff Östberg](https://jeffostberg.se)
- Animation by [Geneviève Delacroix](http://www.genevievelacroix.com)
- Applied Effects (in order)
  - ImageGoNerd - [nordified](https://github.com/Schrodinger-Hat/ImageGoNord) (filtering option toggled)
  - GIMP - gaussian blur 3.5
  - GIMP - level 1 compression
